summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2012-12-13 09:02:04 +0100
committerMichael Vogt <michael.vogt@ubuntu.com>2012-12-13 09:02:04 +0100
commitfb3ecf163485c428ebf863e65e60ec884e741ada (patch)
tree5cd0121400f41a0474bd4cc41eea5d138254b295
parentb98891e1e0c1b325dbc91eac6314ea853945d3ea (diff)
change permissions of /var/log/apt/term.log to 0640 (LP: #975199)
-rw-r--r--apt-pkg/deb/dpkgpm.cc2
-rw-r--r--debian/apt.postinst7
-rw-r--r--debian/changelog5
3 files changed, 12 insertions, 2 deletions
diff --git a/apt-pkg/deb/dpkgpm.cc b/apt-pkg/deb/dpkgpm.cc
index c9df41d3a..6cb8bc6b6 100644
--- a/apt-pkg/deb/dpkgpm.cc
+++ b/apt-pkg/deb/dpkgpm.cc
@@ -726,7 +726,7 @@ bool pkgDPkgPM::OpenLog()
gr = getgrnam("adm");
if (pw != NULL && gr != NULL)
chown(logfile_name.c_str(), pw->pw_uid, gr->gr_gid);
- chmod(logfile_name.c_str(), 0644);
+ chmod(logfile_name.c_str(), 0640);
fprintf(d->term_out, "\nLog started: %s\n", timestr);
}
diff --git a/debian/apt.postinst b/debian/apt.postinst
index 4d87c4e25..bd814e1af 100644
--- a/debian/apt.postinst
+++ b/debian/apt.postinst
@@ -21,6 +21,13 @@ case "$1" in
rm -f $SECRING
fi
apt-key update
+
+ # ensure tighter permissons on the logs, see LP: #975199
+ if dpkg --compare-versions "$2" lt-nl 0.9.7.7; then
+ # ensure permissions are right
+ chmod -f 0640 /var/log/apt/term.log* || true
+ fi
+
;;
abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/debian/changelog b/debian/changelog
index a189695ec..42d601d3b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -13,8 +13,11 @@ apt (0.9.7.7) UNRELEASED; urgency=low
- do not do lock-step configuration for a M-A:same package if it isn't
unpacked yet in SmartConfigure and do not unpack a M-A:same package
again in SmartUnPack if we have already configured it (LP: #1062503)
+
+ [ Michael Vogt ]
+ * change permissions of /var/log/apt/term.log to 0640 (LP: #975199)
- -- Jordi Mallach <jordi@debian.org> Thu, 18 Oct 2012 23:30:46 +0200
+ -- Michael Vogt <mvo@debian.org> Tue, 04 Dec 2012 15:57:01 +0100
apt (0.9.7.6) unstable; urgency=low